### Method

# Gom Repository automatic_migrate_async

#### Declaration [src]

    void
    gom_repository_automatic_migrate_async (
      GomRepository* repository,
      guint version,
      GList* object_types,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Performs an automatic migration on the underlying database. See `gom_repository_automatic_migrate_sync()` for details.

Upon completion, `callback` will be executed and it must call gom_repository_automatic_migrate_finish().

This method completes asynchronously. Use `gom_repository_automatic_migrate_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`version`

  Type: `guint`

  The version to migrate to.

`object_types`

  Type: A list of `GType`

  A `GList` of `GType`.

  The instance takes ownership of the data container, but not the data inside it.

`callback`

  Type: `GAsyncReadyCallback`

  A callback to execute upon completion.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data for `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.